Subject: Erroneous XHR Tasks are not always considered as such
Description

When deleting a Node and confirming the confirmation message, the element disappeared in GUI, but not actually (it was there again
after reload).

The XHR Response in that case was a 200 OK, however, the actual response body was

{"type":"rpc","tid":3,"action":"TYPO3_Neos_Service_ExtDirect_V1_Controller_NodeController","method":"update","result":{"erro
rs":{"node":"Could not convert array to Node object because the node
\"\/sites\/acme\/ueber-uns\/main\/50462f9712dc2\/content\/node512a353096b15\" does not exist."},"success":false}}

(why this happens at all is another story).

Since result.success === false and there are result.errors, these should be shown instead (handling like on a 500); or better: send a
500 error header, I assume it'll be handled automatically then in the frontend.

For the record, the GET uri was ?TYPO3_ExtJS_ExtDirectRequest=1&__csrfToken=5c..., the request body POST parameters were

{"action":"TYPO3_Neos_Service_ExtDirect_V1_Controller_NodeController","method":"update","data":[{"source":"<div
class=\"team\">\n <p>Consectetur dolorem ipsum quia dolor sit amet, adipisci velit incidunt ut
labor.</p>\n</div>\n","_hiddenAfterDateTime":"","_hiddenBeforeDateTime":"","_hidden":false,"_removed":true,"_typoscriptPath":"page<TYPO3.Neos:Page>/body<TYPO3.TypoScript:Template>/sections/main<TYPO3.Neos:Section>/default<TYPO3.TypoScript:Matcher>/element<TYPO3.Neos.ContentTypes:Section.Default>/itemRenderer<TYPO3.TypoScript:Cas
":"page<TYPO3.Neos:Page>/body<TYPO3.TypoScript:Template>/sections/main<TYPO3.Neos:Section>/default<TYPO3.TypoScript:Matcher>/element<TYPO3.Neos.ContentTypes:Section.Default>/itemRenderer<TYPO3.TypoScript:Case>/default<TYPO3.TypoScript:Matcher>/element<acme.acmeDe:GridContainer>/containerContent<TYPO3.Neos.ContentTypes:Section>/default<TYPO3.TypoScript:Matcher>/element<TYPO3.Neos.ContentTypes:Section.Default>/itemRenderer<TYPO3.TypoScri
Script:Matcher>/element<TYPO3.Neos.ContentTypes:Section.Default>/itemRenderer<TYPO3.TypoScript:Case>/default<TYPO3.TypoScript:Matcher>/element<acme.acmeDe:GridContainer>/containerContent<TYPO3.Neos.ContentTypes:Section>/default<TYPO3.TypoScript:Matcher>/element<TYPO3.Neos.ContentTypes:Section.Default>/itemRenderer<TYPO3.TypoScript:Case>/default<TYPO3.TypoScript:Matcher>/element<TYPO3.Neos.ContentTypes:Html>","__contextNodePath":"/sites/acmede/ueber-uns/main/50462f9712dc2/content/node512a353096b15@user-adrian"}],"type":"rpc","tid":3}

3.TypoScript:Matcher>/element<acme.acmeDe:GridContainer>/containerContent<TYPO3.Neos.ContentTypes:Section>/default<TYPO3.TypoScript:Matcher>/element<TYPO3.Neos.ContentTypes:Section.Default>/itemRenderer<TYPO3.TypoScript:Case>/default<TYPO3.TypoScript:Matcher>/element<TYPO3.Neos.ContentTypes:Html>","__contextNodePath":"/sites/acmede/ueber-uns/main/50462f9712dc2/content/node512a353096b15@user-adrian"}],"type":"rpc","tid":3}

lt<TYPO3.TypoScript:Matcher>/element<TYPO3.Neos.ContentTypes:Section.Default>/itemRenderer<TYPO3.TypoScript:Case>/default<TYPO3.TypoScript:Matcher>/element<TYPO3.Neos.ContentTypes:Html>","__contextNodePath":"/sites/acmede/ueber-uns/main/50462f9712dc2/content/node512a353096b15@user-adrian"}],"type":"rpc","tid":3}

>/default<TYPO3.TypoScript:Matcher>/element<TYPO3.Neos.ContentTypes:Html>","__contextNodePath":"/sites/acmede/ueber-uns/main/50462f9712dc2/content/node512a353096b15@user-adrian"}],"type":"rpc","tid":3}

er-uns/main/50462f9712dc2/content/node512a353096b15@user-adrian"}],"type":"rpc","tid":3}

History
#1 - 2013-04-10 21:31 - Aske Ertmann
- Status changed from New to Accepted
- Target version set to 1.0 beta 1

#2 - 2014-11-02 18:09 - Aske Ertmann
- Status changed from Accepted to Rejected

Hey Adrian

I'm rejecting this is one because it's now outdated and already improved in the new Ajax handling
#3 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Rejected to Closed
